Bug 105935 - remote NFS server failures cause high load on clients
remote NFS server failures cause high load on clients
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-09-29 13:22 EDT by onlineservices
Modified: 2007-04-18 12:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Script to create high load on Linux Client (412 bytes, text/plain)
2003-09-29 13:30 EDT, onlineservices
no flags Details

  None (edit)
Description onlineservices 2003-09-29 13:22:24 EDT
We have 20 Linux clients mounting 7 NFS servers(3 Netapp, 4 Auspex) using the 
following mounting options:

nfs6-e9c:/vol/vol0/qvol1 on /epdata21 type nfs 

If one of these remote NFS servers goes down, the local clients load average 
gets extemely high (~200) and becomes unresponsive.   We have a propietery 
application that searches and retrieves from NFS, but we have also been able to 
reproduce using a simple 'cat' script.  (see reproducable section)

We also have Solaris clients that do the same kindof work and when an NFS 
server goes down the load average is unaffected unlike Red Hat Linux.

Version-Release number of selected component (if applicable):

How reproducible:

I will attach the simple cat script to next section.

Steps to Reproduce:
1.  Mount an NFS server
2.  Fail NFS server(Down NIC card on server)
3.  Run script
Actual results:

High load averages, eventaully leading to unresponesive NFS client.

Expected results:

Load average should not go high and should act similarly to other Unix 
Platforms like Solaris
Comment 1 onlineservices 2003-09-29 13:30:39 EDT
Created attachment 94825 [details]
Script to create high load on Linux Client

This is a script that will create a high load on Linux Client after an NFS

"/epdata21/DO_NOT_DELETE_READ_TEST/read.test.DO.NOT.DELETE" is a flat text file
on a remote NFS server file system.
Comment 2 Bugzilla owner 2004-09-30 11:41:34 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.